#include <iostream>
#include "union.h"
using namespace std;

IntegerSet::IntegerSet()
{
  for(int i=0; i<10; i++)
    val_array[i]=0;
}


IntegerSet::IntegerSet(int* s_arr, int dim)
{
  // inizializzazione dell'array
  for(int i=0; i<10; i++)
    val_array[i]=0;
  
  int pos;
  for(int j=0; j<dim; j++)
    {
       pos=s_arr[j];
       val_array[pos]=1;
    }
}


IntegerSet::~IntegerSet(){ }


void IntegerSet::getVal_array() const
{
  for(int i=0; i<10; i++)
    {
      if(val_array[i]==1)
	cout << i << " ";
    }
  cout << endl;
}


void IntegerSet::unionOfIntegerSets(IntegerSet s1, IntegerSet s2)
{
  for(int i=0; i<10; i++)
    {
      if(s1.val_array[i]==1 || s2.val_array[i]==1)
	val_array[i]=1;
    }
  
}


void IntegerSet::intersectionOfIntegerSets(IntegerSet s1, IntegerSet s2)
{
  for(int i=0; i<10; i++)
    {
      if(s1.val_array[i]==1 && s2.val_array[i]==1)
	val_array[i]=1;
    }


}


void IntegerSet::insertElement(int pos)
{
  val_array[pos]=1;
}


void IntegerSet::deleteElement(int pos)
{
  val_array[pos]=0;
}


bool isEqualTo(IntegerSet s1, IntegerSet s2)
{
  for(int i=0; i<10; i++)
    {
      if(s1.val_array[i]!=s2.val_array[i])
	{
	  cout << "The two sets are not equal" << endl;
	  return false;
	}
    }
  
   cout << "The two sets are equal" << endl;
   return true;
}

