#include <iostream>
#include "date_i.h"
using namespace std;

Date::Date(int dy, int mt, int yr)
{
  year= (yr>=2000)?yr :2000;
  month=(mt>=1 && mt<=12)?mt :1;
  switch(month){
  case 1:
  case 3:
  case 5:
  case 7:
  case 8: 
  case 10:
  case 12:
    day=(dy>=1 && dy<=31)?dy :1;
    break;
  case 2:
    if(year%4==0)
      day=(dy>=1 && dy<=29)?dy :1;
    else
      day=(dy>=1 && dy<=28)?dy :1;
    break;
  case 4:
  case 6:
  case 9:
  case 11:
    day=(dy>=1 && dy<=30)?dy :1;
    break;
  default:
    day=1;
  }
}


void Date::printDate() const
{
  cout << "Current date is: " << day << "/" << month << "/" << year << endl;
}


Date Date::incr(Date dd)
{
  
  dd.day++; 

  switch(dd.month){
  case 1:
  case 3:
  case 5:
  case 7:
  case 8: 
  case 10:
  case 12:
    if(dd.day>31)
      {
	dd.day=1;
	dd.month++;
      }
    if(dd.month>12)
      {
	dd.month=1;
	dd.year++;
      }
    break;
  case 2:
    if(dd.year%4==0)
      {
	if(dd.day>29)
	  {
	    dd.day=1;
	    dd.month=3;
	  }
      }
    else 
      if(dd.day>28)
	{
	  dd.day=1;
	  dd.month=3;
	}
    break;
  case 4:
  case 6:
  case 9:
  case 11:
    if(dd.day>30)       
      {
	dd.day=1;
	dd.month++;
      }
    break;
  }
  return dd;
  
}
