#include <iostream>
#include "union.h"
using namespace std;

int main()
{
  int str_arr1[]={0,2,3,4,6,8,9};
  int str_arr2[]={1,2,4,7};
  IntegerSet set1(str_arr1, 7), set2(str_arr2, 4);
  IntegerSet u_set, i_set;
  
  cout << "The first set is: ";
  set1.getVal_array();
  cout << "The second set is: ";
  set2.getVal_array();
  

  u_set.unionOfIntegerSets(set1, set2);
  cout << "The union of these two sets is: ";
  u_set.getVal_array();

  i_set.intersectionOfIntegerSets(set1, set2);
  cout << "The intersection of these two sets is: ";
  i_set.getVal_array();

  i_set.insertElement(5);
  cout << "Inserting 5 into the intersection set, we have: "; 
  i_set.getVal_array();

  i_set.deleteElement(2);
  cout << "Removing 2 from the intersection set, we have: "; 
  i_set.getVal_array();
  cout << "Testing isEqualTo friend function:" << endl;
  cout << " Testing "<<endl;
  i_set.getVal_array();
  u_set.getVal_array();
  isEqualTo(i_set, u_set);
  
  IntegerSet n_set(str_arr1,7);

  cout << " Testing ";
  set1.getVal_array();
  cout << " Testing ";
  n_set.getVal_array();
  isEqualTo(n_set, set1);

}
